MS07-026: Vulnerability in Microsoft Exchange Could Allow Remote Code Execution (931832)

Critical Nessus Plugin ID 25165


Arbitrary code can be executed on the remote host through the email server.


The remote host is running a version of exchange that is vulnerable to a bug in the iCal attachment and MIME decoding routines, as well as in the IMAP literal processing and in OWA.

These vulnerabilities could allow an attacker execute arbitrary code on the remote host.


Microsoft has released a set of patches for Exchange 2000 and 2003.

See Also

Plugin Details

Severity: Critical

ID: 25165

File Name: smb_nt_ms07-026.nasl

Version: $Revision: 1.28 $

Type: local

Agent: windows

Published: 2007/05/08

Modified: 2017/08/10

Dependencies: 13855, 57033

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:exchange_server

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/05/08

Vulnerability Publication Date: 2007/05/08

Reference Information

CVE: CVE-2007-0220, CVE-2007-0039, CVE-2007-0213, CVE-2007-0221

BID: 23806, 23808, 23809, 23810

OSVDB: 34389, 34390, 34391, 34392

IAVA: 2007-A-0031

MSFT: MS07-026

MSKB: 931832, 935490

CERT: 124113, 343145